## org.eclipse.datatools.modelbase.sql.query
Interface OrderByOrdinal

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, OrderBySpecification, SQLObject, SQLQueryObject

    public interface OrderByOrdinal

extends OrderBySpecification

A representation of the model object 'SQL Order By Ordinal'.

The following features are supported:

- `Ordinal Value`

See Also:
  `SQLQueryModelPackage.getOrderByOrdinal()`

Method Summary
`int` `getOrdinalValue()` Returns the value of the 'Ordinal Value' attribute.
`void` `setOrdinalValue(int value)` Sets the value of the '`Ordinal Value`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.OrderBySpecification
`getNullOrderingOption, getOrderingSpecOption, getQuery, getSelectStatement, isDescending, setDescending, setNullOrderingOption, setOrderingSpecOption, setQuery, setSelectStatement`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOrdinalValue

    int getOrdinalValue()

  Returns the value of the 'Ordinal Value' attribute.

  If the meaning of the 'Ordinal Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ordinal Value' attribute.
  See Also:
    `setOrdinalValue(int)`, `SQLQueryModelPackage.getOrderByOrdinal_OrdinalValue()`

### setOrdinalValue

    void setOrdinalValue(int value)

  Sets the value of the '`Ordinal Value`' attribute.

  Parameters:
    `value` - the new value of the 'Ordinal Value' attribute.
  See Also:
    `getOrdinalValue()`